public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/libodfgen/
Date: Thu, 15 Nov 2018 23:12:53 +0000 (UTC)	[thread overview]
Message-ID: <1542323535.f398712c2a8cd774d509ac1391c8043170a3745a.asturm@gentoo> (raw)

commit:     f398712c2a8cd774d509ac1391c8043170a3745a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 15 22:40:25 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Nov 15 23:12:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f398712c

app-text/libodfgen: 0.1.7 version bump

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-text/libodfgen/Manifest               |  1 +
 app-text/libodfgen/libodfgen-0.1.7.ebuild | 42 +++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-text/libodfgen/Manifest b/app-text/libodfgen/Manifest
index 7a927890f71..23e31e80ecd 100644
--- a/app-text/libodfgen/Manifest
+++ b/app-text/libodfgen/Manifest
@@ -1 +1,2 @@
 DIST libodfgen-0.1.6.tar.xz 359988 BLAKE2B 89ef70762780efa70ea044758d3c5e677024897bcd1f031c15544dc2e5cc0115bd286ca21051b8223768a2253eb681bdea534230c517de9c00a0a1f5b320eaf3 SHA512 bc5e6908ee14c576adececdf8a94ae01f2ed487e6f2490e41aab787e1e8f72a3fb2a786f51ceeefa327710af215741ce13bcf4bb3d99d2aaf403f568c5db75a5
+DIST libodfgen-0.1.7.tar.xz 384760 BLAKE2B 93066e52c0651e3714843764f0d023178cf0ddb52c1185f085c70180f4123cd26d79b9ea2c211a82f2681c42c8795c3f062f081161effa7fe821b64b54b82cd8 SHA512 eaf5c6646a9cacf54cb0416b08526f35d18d0618f3f64cf14f4b24537b0285da2786d2f6d6e2c204c8248f900d37287b2c5af79720b0d49452f67b14c86ea36e

diff --git a/app-text/libodfgen/libodfgen-0.1.7.ebuild b/app-text/libodfgen/libodfgen-0.1.7.ebuild
new file mode 100644
index 00000000000..03f14c4c702
--- /dev/null
+++ b/app-text/libodfgen/libodfgen-0.1.7.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://git.code.sf.net/p/libwpd/libodfgen"
+	inherit autotools git-r3
+else
+	SRC_URI="mirror://sourceforge/libwpd/${P}.tar.xz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="Library to generate ODF documents from libwpd and libwpg"
+HOMEPAGE="http://libwpd.sourceforge.net/"
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0"
+
+IUSE="doc"
+
+RDEPEND="dev-libs/librevenge"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+"
+
+src_prepare() {
+	default
+	[[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-static \
+		$(use_with doc docs)
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2018-11-15 23:13 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-15 23:12 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-14  1:21 [gentoo-commits] repo/gentoo:master commit in: app-text/libodfgen/ Sam James
2021-12-29 13:46 Yixun Lan
2021-03-08 21:14 Andreas Sturmlechner
2021-03-08 10:27 Sam James
2021-03-07 15:54 Thomas Deutschmann
2021-03-07 13:18 Mikle Kolyada
2021-01-23  0:25 Andreas Sturmlechner
2019-07-30 21:39 Aaron Bauman
2019-01-09 10:00 Andreas Sturmlechner
2019-01-08 19:56 Thomas Deutschmann
2019-01-02  9:57 Mikle Kolyada
2018-11-15 23:12 Andreas Sturmlechner
2018-09-19 18:35 Matt Turner
2017-01-02 19:01 Andreas Hüttel
2016-12-21 17:28 Tobias Klausmann
2016-12-17 15:57 Andreas Hüttel
2016-07-03 20:27 Andreas Hüttel
2016-02-22 17:07 Andreas Hüttel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1542323535.f398712c2a8cd774d509ac1391c8043170a3745a.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox